/*-------------------------------------------------------------------------
 *
 * nodeSort.h
 *
 *
 *
 * Portions Copyright (c) 1996-2001, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * $Id: nodeSort.h,v 1.14 2001/11/05 17:46:33 momjian Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef NODECONN_H
#define NODECONN_H

#include "nodes/plannodes.h"

extern TupleTableSlot *ExecConn(ConnectState *node);
extern ConnectState * ExecInitConn(Conn *node, EState *estate, int eflags);
extern int	ExecCountSlotsConn(Conn *node);
extern void ExecEndConn(ConnectState *node);
extern void ExecConnMarkPos(ConnectState *node);
extern void ExecConnRestrPos(ConnectState *node);
extern void ExecReScanConn(ConnectState *node, ExprContext *exprCtxt);

#endif   /* NODECONN_H */
